{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-09T18:49:00Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "52811ea9aed26588a1b7f861e588230104112db3"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "9d170d93a85eafd7b1684a8de85a4b16975ccd02"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtdatavisualization-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtdatavisualization-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Linux (x86_64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "17.0.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtdatavisualization",
            "builtDate": "2024-08-09T18:49:00Z",
            "comment": "Built by CMake 3.27.7 with RelWithDebInfo configuration for Android (x86_64)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtdatavisualization.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtdatavisualization@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtdatavisualization",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "8d3c6c0adaff57fcfb23351207043f9a201bef24"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtdatavisualization.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtdatavisualization-DataVisualization@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtdatavisualization:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "DataVisualization",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtdatavisualization.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtdatavisualization-DataVisualizationQml@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtdatavisualization:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "DataVisualizationQml",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtdatavisualization-qt-plugin-DataVisualizationQmlplugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtdatavisualization.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtdatavisualization-DataVisualizationQmlplugin@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtdatavisualization:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "DataVisualizationQmlplugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "0f87ca7555d091233997e9640f0d93860c1be8df"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6DataVisualization_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "475f4c6b7ca63f3a13f2c73cfcdf7d7d1cc1b731"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6DataVisualizationQml_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-DataVisualizationQmlplugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "2fa87376f28a5d00ff6a9e3528be9bfeef9bbf9f"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtDataVisualization/libqml_QtDataVisualization_datavisualizationqmlplugin_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtdatavisualization is built by compiler Clang (/opt/android/android-ndk-r26b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++) version 17.0.2",
            "relatedSpdxElement": "SPDXRef-Package-qtdatavisualization",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtdatavisualization",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-OpenGL",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization",
            "relatedSpdxElement": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization//home/qt/work/qt/qtdatavis3d/build/target/include/QtDataVisualization/qtdatavisualizationexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qabstract3daxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qabstract3daxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qabstract3daxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qcategory3daxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qcategory3daxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qcategory3daxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qlogvalue3daxisformatter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qlogvalue3daxisformatter.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qlogvalue3daxisformatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qvalue3daxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qvalue3daxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qvalue3daxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qvalue3daxisformatter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qvalue3daxisformatter.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/axis/qvalue3daxisformatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/abstractitemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/abstractitemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/abstractrenderitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/abstractrenderitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/baritemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/baritemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/barrenderitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/barrenderitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/customrenderitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/customrenderitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/labelitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/labelitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qabstract3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qabstract3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qabstract3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qabstractdataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qabstractdataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qabstractdataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbar3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbar3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbar3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbardataitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbardataitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbardataitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbardataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbardataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qbardataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3ditem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3ditem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3ditem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3dlabel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3dlabel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3dlabel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3dvolume.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3dvolume.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qcustom3dvolume_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qheightmapsurfacedataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qheightmapsurfacedataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qheightmapsurfacedataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelbardataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelbardataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelbardataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelscatterdataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelscatterdataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelscatterdataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelsurfacedataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelsurfacedataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qitemmodelsurfacedataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatter3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatter3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatter3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatterdataitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatterdataitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatterdataitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatterdataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatterdataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qscatterdataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurface3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurface3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurface3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurfacedataitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurfacedataitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurfacedataitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurfacedataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurfacedataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/qsurfacedataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/scatteritemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/scatteritemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/scatterrenderitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/scatterrenderitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/surfaceitemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/data/surfaceitemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/abstractdeclarativeinterface.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/abstractdeclarativeinterface_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/abstract3dcontroller.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/abstract3dcontroller_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/abstract3drenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/abstract3drenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/axisrendercache.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/axisrendercache_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/bars3dcontroller.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/bars3dcontroller_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/bars3drenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/bars3drenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/barseriesrendercache.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/barseriesrendercache_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/drawer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/drawer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dbars.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dbars.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dbars_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dcamera.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dcamera.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dcamera_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dlight.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dlight.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dlight_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dobject.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dobject.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dobject_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dscatter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dscatter.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dscatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dscene.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dscene.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dscene_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dsurface.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dsurface.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/q3dsurface_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/qabstract3dgraph.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/qabstract3dgraph.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/qabstract3dgraph_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/scatter3dcontroller.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/scatter3dcontroller_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/scatter3drenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/scatter3drenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/scatterseriesrendercache.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/scatterseriesrendercache_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/selectionpointer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/selectionpointer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/seriesrendercache.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/seriesrendercache_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/surface3dcontroller.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/surface3dcontroller_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/surface3drenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/surface3drenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/surfaceseriesrendercache.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/engine/surfaceseriesrendercache_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/global/datavisualizationglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/global/qdatavisualizationglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/q3dinputhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/q3dinputhandler.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/q3dinputhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/qabstract3dinputhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/qabstract3dinputhandler.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/qabstract3dinputhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/qtouch3dinputhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/qtouch3dinputhandler.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/input/qtouch3dinputhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/theme/q3dtheme.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/theme/q3dtheme.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/theme/q3dtheme_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/theme/thememanager.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/theme/thememanager_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/abstractobjecthelper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/abstractobjecthelper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/camerahelper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/camerahelper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/meshloader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/meshloader_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/objecthelper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/objecthelper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/qutils.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/scatterobjectbufferhelper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/scatterobjectbufferhelper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/scatterpointbufferhelper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/scatterpointbufferhelper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/shaderhelper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/shaderhelper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/surfaceobject.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/surfaceobject_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/texturehelper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/texturehelper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/utils.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/utils_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/vertexindexer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization/utils/vertexindexer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualization/qtdatavisualization-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualization/qtdatavisualization-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualization/meta_types/qt6datavisualization_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualization/.qt/rcc/qrc_datavisualizationshaders.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualization",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualization//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualization/.qt/rcc/qrc_datavisualizationmeshes.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-OpenGL",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualization",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization",
            "relatedSpdxElement": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-module-DataVisualizationQml",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/abstractdeclarative.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/abstractdeclarative_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/colorgradient.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/colorgradient_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativebars.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativebars_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativecolor.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativecolor_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativerendernode.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativerendernode_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativescatter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativescatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativescene.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativescene_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativeseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativeseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativesurface.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativesurface_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativetheme.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/declarativetheme_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/enumtostringmap.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/enumtostringmap_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/foreigntypes_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/glstatestore.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/glstatestore_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/meta_types/qt6datavisualizationqml_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/datavisualizationqml_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.qt/rcc/qrc_qmake_QtDataVisualization.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/designer/Bars3DSpecifics.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.rcc/qmlcache/DataVisualizationQml_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.rcc/qmlcache/DataVisualizationQml_designer/Bars3DSpecifics_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/designer/Scatter3DSpecifics.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.rcc/qmlcache/DataVisualizationQml_designer/Scatter3DSpecifics_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/designer/Surface3DSpecifics.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.rcc/qmlcache/DataVisualizationQml_designer/Surface3DSpecifics_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/designer/default/Bars3D.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.rcc/qmlcache/DataVisualizationQml_designer/default/Bars3D_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/designer/default/Scatter3D.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.rcc/qmlcache/DataVisualizationQml_designer/default/Scatter3D_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml/designer/default/Surface3D.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.rcc/qmlcache/DataVisualizationQml_designer/default/Surface3D_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-DataVisualizationQml",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/.qt/rcc/qrc_DataVisualizationQml_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-plugin-DataVisualizationQmlplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization",
            "relatedSpdxElement": "SPDXRef-Package-qtdatavisualization-qt-plugin-DataVisualizationQmlplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-plugin-DataVisualizationQmlplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-DataVisualizationQmlplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtdatavisualization-qt-plugin-DataVisualizationQmlplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-DataVisualizationQmlplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-DataVisualizationQmlplugin",
            "comment": "/home/qt/work/qt/qtdatavis3d/src/datavisualizationqml//home/qt/work/qt/qtdatavis3d/build/target/src/datavisualizationqml/DataVisualizationQmlplugin_QtDataVisualizationPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}